ChiliProject - Bug # 528: uninitialized constant Rake::DSL while using rake db:migrate

Status: Closed Priority: Normal
Author: Florian Mutter Category:
Created: 2011-07-16 Assignee:
Updated: 2011-07-21 Due date:
Remote issue URL:
Affected version: master
Description: When executing @rake db:migrate@ | got the following error:
<pre>

rake aborted!

uninitialized constant Rake::DSL

/.../Rakefile:7:in “require’

(See full trace by running task with --trace)

</pre>

This error can be fixed by adding @require 'rake/ds|_definition'@ in the Rakefile before the @require 'rake'@

line.

Additional info:
<pre>

# rake --version
rake, version 0.8.7
# ruby --version

ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

</pre>

Associated revisions

2008-07-26 01:46 pm - Jean-Philippe Lang

Wiki page hierarchy (#528). Parent page can be assigned on Rename screen.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1698 €93f8b46-1217-0410-a6f0-8f06a7374b81

2008-07-26 02:54 pm - Jean-Philippe Lang
Adds child_pages macro for wiki pages (#528).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1699 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-07-16 05:15 pm - Holger Just

Could you please run the rake task again as @rake db:migrate --trace@ so that we can see the full stack trace? | doubt that this is an issue of the Chili

core but of a plugin.

Also, which version of Chili are you using?

2011-07-16 05:16 pm - Holger Just
- Status changed from Open to Needs more information

Okay, strip the version question... But we still need the trace.

2011-07-16 05:18 pm - Florian Mutter
<pre>
# RAILS_ENV=production rake db:migrate --trace

(in /var/www/htdocs)

rake aborted!

uninitialized constant Rake::DSL

/usr/lib/ruby/1.8/rake.rb:2503:in “const_missing'
/ust/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/tasklib.rb:8
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/testtask.rb:4:in “require
/ust/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/testtask.rb:4

/var/www/htdocs/Rakefile:8:in “require'
/var/www/htdocs/Rakefile:8

/usr/lib/ruby/1.8/rake.rb:2383:in “load'
/usr/lib/ruby/1.8/rake.rb:2383:in ‘raw_load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2017:in “load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2068:in “standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:2016:in “load_rakefile'
/usr/lib/ruby/1.8/rake.rb:2000:in “run’
/usr/lib/ruby/1.8/rake.rb:2068:in “standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in “run’

/usr/bin/rake:28

</pre>

It says Rakefile:8 because | just commented out my fix.

2011-07-16 05:24 pm - Florian Mutter
I'm on the stable branch... not the master. Picked the wrong.

EDIT: Same on branch master
2011-07-16 05:44 pm - Holger Just
In your stack trace it says you are actually using rake 0.9.2. Please make sure you stated the correct used version. At best, please provide the output

of @bundle install@.

As | can't reproduce your issue with both @master@ and @stable@ on Ruby 1.8.7-p334 with any of Rake 0.8.7, 0.9.1 or 0.9.1 on OSX 10.6. | think it's

something in your installation of Ruby. As a last test could you try to run @bundle exec rake db:migrate@?
Please also tell us where you git your Ruby and Rake from (e.g. rvm or OS packages), also which OS you use.
2011-07-16 06:03 pm - Florian Mutter

- Status changed from Needs more information to Closed

The second version of rake was indeed the problem. | am using Debian Squeeze and had rake installed with apt-get. Therefor, there were two
versions. What | did now is @apt-get remove rake@ and @gem install rake@ to reinstall the new version of rake. Now @rake --version@ says I'm on
0.9.2 and @rake db:migrate@ is working. So | close this bug. Thanks for your help.

2011-07-21 07:03 am - Holger Just
- Subject changed from uninitialized constant Rake::DS while using rake db:migrate to uninitialized constant Rake::DSL while using rake db:migrate
